#include <Servo.h>

Servo myServo;   // Create a servo object
int servoPin = 4; // Servo control pin
int pos = 0;     // Variable to store the servo position

void setup() {
  myServo.attach(servoPin);  // Attach the servo to pin 9
  Serial.begin(9600);        // Start serial communication at 9600 bps
}

void loop() {
  for (pos = 0; pos <= 180; pos += 1) { // Sweep from 0 to 180 degrees
    myServo.write(pos);                // Tell servo to go to position in variable 'pos'
    Serial.println(pos);               // Send position value to serial
    delay(15);                         // Wait for the servo to reach the position
  }
  for (pos = 180; pos >= 0; pos -= 1) { // Sweep from 180 to 0 degrees
    myServo.write(pos);                // Tell servo to go to position in variable 'pos'
    Serial.println(pos);               // Send position value to serial
    delay(15);                         // Wait for the servo to reach the position
  }
}


