#include <Servo.h>

const int hallPin = 7; // Hall effect sensor output pin
const int servoPin = 4; // Servo control pin
Servo myservo;
int sensorState = 0;

void setup() {
pinMode(hallPin, INPUT_PULLUP);
myservo.attach(servoPin);
myservo.write(0); // Initial position
Serial.begin(9600);
}

void loop() {

  int hallSensorValue = analogRead(hallPin);   // Read the state of the Hall sensor
  int servoPosition = map(hallSensorValue, 0, 1023, 0, 180);  // Map the sensor value to a range suitable for the servo (0-180 degrees)

sensorState = digitalRead(hallPin);
if (sensorState == LOW) {
myservo.write(90); // Move servo to 90 degrees
Serial.println("Magnet detected");
  Serial.println(hallSensorValue);   // Send the sensor value over serial for Processing
  delay(100);  // Add a small delay
delay(1500);
myservo.write(110);
delay(500);
myservo.write(90);
delay(4500);
} else {
myservo.write(70); // Move servo back to 0 degrees
Serial.println("No magnet detected");
}
delay(100); // Debounce delay
}
